'use strict';

// const printAST = require('ast-pretty-print')
var getReplacement = require('./get-replacement');

// this implements the babel-macros v0.2.0 API
module.exports = { asTag, asFunction, asJSX };

function asTag(quasiPath, _ref) {
  var filename = _ref.file.opts.filename;

  var string = quasiPath.parentPath.get('quasi').evaluate().value;
  quasiPath.parentPath.replaceWith(getReplacement({
    string,
    filename
  }));
}

function asFunction(argumentsPaths, _ref2) {
  var filename = _ref2.file.opts.filename;

  var string = argumentsPaths[0].evaluate().value;
  argumentsPaths[0].parentPath.replaceWith(getReplacement({
    string,
    filename
  }));
}

// eslint-disable-next-line no-unused-vars
function asJSX(_ref3, _ref4) {
  var attributes = _ref3.attributes,
      children = _ref3.children;
  var filename = _ref4.file.opts.filename;

  // It's a shame you cannot use evaluate() with JSX
  var string = children[0].node.value;
  children[0].replaceWith(getReplacement({
    string,
    filename
  }));
  var _children$0$parentPat = children[0].parentPath.node,
      openingElement = _children$0$parentPat.openingElement,
      closingElement = _children$0$parentPat.closingElement;

  openingElement.name.name = 'div';
  closingElement.name.name = 'div';
}